Debian Bug report logs - #484331
apt-proxy: Refuses requests for translations with underscore in name

version graph

Package: apt-proxy; Maintainer for apt-proxy is (unknown);

Reported by: Folkert van Heusden <folkert@vanheusden.com>

Date: Tue, 3 Jun 2008 17:57:01 UTC

Severity: important

Tags: patch

Found in version apt-proxy/1.9.36.3

Fixed in version apt-proxy/1.9.36.3+nmu1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Halls <halls@debian.org>:
Bug#484331; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Folkert van Heusden <folkert@vanheusden.com>:
New Bug report received and forwarded. Copy sent to Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Folkert van Heusden <folkert@vanheusden.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-proxy: returns 403 error to clients for files with .bz2 extension
Date: Tue, 03 Jun 2008 19:54:00 +0200
Package: apt-proxy
Version: 1.9.36.3
Severity: grave
Justification: renders package unusable


apt-proxy: returns 403 error to clients for files with .bz2 extension

belle:/home/folkert/Personal/src/acpp# apt-get update
Err http://localhost testing Release.gpg
  Bad header line
Err http://localhost testing/main Translation-en_US
  Bad header line
Err http://localhost testing/contrib Translation-en_US
  Bad header line

2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [debug] Headers: Host: 192.168.64.100:9999, Connection: keep-alive, User-Agent: Debian APT-HTTP/1.3 (0.7.11)
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [HttpRequestClient] Processing request for: /debian/dists/testing/main/i18n/Translation-en_US.bz2
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [HttpRequestClient] Request: GET /debian/dists/testing/main/i18n/Translation-en_US.bz2 backend=debian uri=/debian/dists/testing/main/i18n/Translation-en_US.bz2
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [HttpRequestClient] backend: debian [<apt_proxy.apt_proxy.BackendServer instance at 0x133e560>, <apt_proxy.apt_proxy.BackendServer instance at 0x133e5a8>]
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [debug] New Cache entry: dists/testing/main/i18n/Translation-en_US.bz2
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] '[HttpRequestClient] abort - unknown extension for file dists/testing/main/i18n/Translation-en_US.bz2'
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [HttpRequestClient] finishCode: 403, File not found - unknown extension
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [HttpRequestClient] finish. fileno:10 uri:/debian/dists/testing/main/i18n/Translation-en_US.bz2
2008-06-03 19:32:40+0200 [Channel,1,192.168.64.1] [HttpRequestClient] New Request, queued=2



-- System Information:
Debian Release: lenny/sid
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23pps-nodeb.pps-nodeb (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt-proxy depends on:
ii  adduser                       3.107      add and remove users and groups
ii  bzip2                         1.0.5-0.1  high-quality block-sorting file co
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  logrotate                     3.7.1-3    Log rotation utility
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-apt                    0.7.5      Python interface to libapt-pkg
ii  python-central                0.6.6      register and build utility for Pyt
ii  python-twisted-web            8.0.0-1    An HTTP protocol implementation to

apt-proxy recommends no packages.

-- debconf information:
  apt-proxy/upgrading-v2:
  apt-proxy/upgrading-v2-result:




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Halls <halls@debian.org>:
Bug#484331; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to "Yuri Kozlov" <kozlov.y@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #10 received at 484331@bugs.debian.org (full text, mbox):

From: "Yuri Kozlov" <kozlov.y@gmail.com>
To: 484331@bugs.debian.org
Subject: apt-proxy: returns 403 error to clients for files with .bz2 extension
Date: Thu, 5 Jun 2008 13:15:46 +0400
Hello.

Try this:

diff -Naur apt-proxy-1.9.36.3.orig/apt_proxy/cache.py
apt-proxy-1.9.36.3/apt_proxy/cache.py
--- apt-proxy-1.9.36.3.orig/apt_proxy/cache.py  2008-06-05
13:07:05.000000000 +0400
+++ apt-proxy-1.9.36.3/apt_proxy/cache.py       2008-06-05
13:08:32.000000000 +0400
@@ -503,7 +503,7 @@

     FileType(r"(?:^|/)Packages.gz$", "text/plain", 1,
decompressor=clients.GzUncompressClient),
     FileType(r"(?:^|/)Packages.bz2$", "text/plain", 1,
decompressor=clients.Bz2UncompressClient),
-    FileType(r"(?:^|/)(?:Packages|Release(?:\.gpg)?|Sources|(?:Contents|Translation)-[a-z0-9]+)"
+    FileType(r"(?:^|/)(?:Packages|Release(?:\.gpg)?|Sources|(?:Contents|Translation)-[a-z0-9_]+)"
                         r"(?:\.(?:gz|bz2))?$",
              "text/plain", 1),
     FileType(r"(?:^|/)(?:Packages|Sources|Contents-[a-z0-9]+)\.diff/Index$",


-- 
Regards,
Yuri Kozlov




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Halls <halls@debian.org>:
Bug#484331; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Folkert van Heusden <folkert@vanheusden.com>:
Extra info received and forwarded to list. Copy sent to Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #15 received at 484331@bugs.debian.org (full text, mbox):

From: Folkert van Heusden <folkert@vanheusden.com>
To: 484331@bugs.debian.org
Subject: re: apt-proxy: returns 403 error to clients for files with .bz2 extension
Date: Mon, 9 Jun 2008 16:23:56 +0200
Patch seems to work like a charm!
Thanks!


Folkert van Heusden

-- 
MultiTail er et flexible tool for å kontrolere Logfiles og commandoer.
Med filtrer, farger, sammenføringer, forskeliger ansikter etc.
http://www.vanheusden.com/multitail/
----------------------------------------------------------------------
Phone: +31-6-41278122, PGP-key: 1F28D8AE, www.vanheusden.com




Tags added: patch Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. (Sat, 14 Jun 2008 19:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to `apt-proxy: Refuses requests for translations with underscore in name' from `apt-proxy: returns 403 error to clients for files with .bz2 extension'. Request was from Ben Hutchings <womble@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Jun 2008 17:57:02 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Ben Hutchings <womble@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Jun 2008 17:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Halls <halls@debian.org>:
Bug#484331; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Chris Halls <halls@debian.org>. Full text and rfc822 format available.

Message #26 received at 484331@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 484331@bugs.debian.org
Subject: Re: apt-proxy: Refuses requests for translations with underscore in name
Date: Sat, 28 Jun 2008 19:37:14 +0100
[Message part 1 (text/plain, inline)]
NMU'd with Yuri Kozlov's change only.

Ben.

-- 
Ben Hutchings
Life would be so much easier if we could look at the source code.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Folkert van Heusden <folkert@vanheusden.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 484331-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 484331-close@bugs.debian.org
Subject: Bug#484331: fixed in apt-proxy 1.9.36.3+nmu1
Date: Sat, 28 Jun 2008 18:47:03 +0000
Source: apt-proxy
Source-Version: 1.9.36.3+nmu1

We believe that the bug you reported is fixed in the latest version of
apt-proxy, which is due to be installed in the Debian FTP archive:

apt-proxy_1.9.36.3+nmu1.dsc
  to pool/main/a/apt-proxy/apt-proxy_1.9.36.3+nmu1.dsc
apt-proxy_1.9.36.3+nmu1.tar.gz
  to pool/main/a/apt-proxy/apt-proxy_1.9.36.3+nmu1.tar.gz
apt-proxy_1.9.36.3+nmu1_all.deb
  to pool/main/a/apt-proxy/apt-proxy_1.9.36.3+nmu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484331@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated apt-proxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Jun 2008 18:31:31 +0000
Source: apt-proxy
Binary: apt-proxy
Architecture: source all
Version: 1.9.36.3+nmu1
Distribution: unstable
Urgency: low
Maintainer: Chris Halls <halls@debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 apt-proxy  - Debian archive proxy and partial mirror builder
Closes: 484331
Changes: 
 apt-proxy (1.9.36.3+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Change regexp for translated package description files to accept '_'
     (Closes: #484331).  Patch by Yuri Kozlov <kozlov.y@gmail.com>.
Checksums-Sha1: 
 278f81714f7ddefdf1c92a5412ed3e861b057fca 949 apt-proxy_1.9.36.3+nmu1.dsc
 3fdf8f3eeb7da8453b23a5df3a9ad6261301c80d 110450 apt-proxy_1.9.36.3+nmu1.tar.gz
 392fbdb94ed2aa0bb17a8d105613a5ecbce58096 85654 apt-proxy_1.9.36.3+nmu1_all.deb
Checksums-Sha256: 
 e4cd7433284c8b3ab08ad6a6b2cebf9a00028f2aa619f5048cf682a27ee152d3 949 apt-proxy_1.9.36.3+nmu1.dsc
 a67051514635c4c106e2874ea532743507eca38b09f113985ede1dc176aadd9a 110450 apt-proxy_1.9.36.3+nmu1.tar.gz
 89822e774834663e74be01a4066a9f676e3e6e9275a53f836ef30369da51fed8 85654 apt-proxy_1.9.36.3+nmu1_all.deb
Files: 
 2bd3d1dbb50f08cffd886a49bcbfb6ea 949 admin extra apt-proxy_1.9.36.3+nmu1.dsc
 0dfbfaf39f1d2aac38ce2945870b326a 110450 admin extra apt-proxy_1.9.36.3+nmu1.tar.gz
 0a86069aa8e766af15ea60112277c482 85654 admin extra apt-proxy_1.9.36.3+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZoR079ZNCRIGYgcRArQwAJ0ciP9tCYy0VYLBYJ9rTEytwLbUKQCbBOyB
0NC3aElBNuyzQxoNZIOk2gQ=
=uACq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Sep 2008 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:04:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.